# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-ExtUtils-Depends
Version:	0.8002
Release:	1.%{__distinit}%{__distvers}
Summary:	Easily build XS extensions that depend on XS extensions
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/ExtUtils-Depends
Source0:	https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-Depends-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.88
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(DynaLoader)
Requires:	perl(File::Spec::Functions)

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other Perl extensions. This means
that a Perl extension is treated like a shared library that provides
also a C and an XS interface besides the Perl one.

%prep
%setup -q -n ExtUtils-Depends-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::Depends.3*

%changelog
* Wed Mar 19 2025 Paul Howarth <paul@city-fan.org> - 0.8002-1
- Update to 0.8002 (rhbz#2353300)
  - Fix UNC path bug (CPAN RT#102436)
  - Fix get_makefile_vars losing path components if space-quoted and more than
    one dependency, which was breaking CPAN module "true" - dependent on two
    modules
- Use %%{make_build} and %%{make_install}

* Sat Apr  8 2023 Paul Howarth <paul@city-fan.org> - 0.8001-7
- Use SPDX-format license tag

* Mon May 17 2021 Paul Howarth <paul@city-fan.org> - 0.8001-1
- Update to 0.8001
  - Remove hack (see CPAN RT#45224); the hijacking of EUMM's 'static_lib'
    method is now obsolete, as well as causing problems
  - Also added a couple of code tidy-ups
- Ignore new requirement for ExtUtils::MakeMaker 7.44, not needed on Linux

* Wed Apr 10 2019 Paul Howarth <paul@city-fan.org> - 0.8000-1
- Update to 0.8000
  - Bump version so https://metacpan.org/pod/ExtUtils::Depends shows the
    correct ExtUtils::Depends module
  - Quote directories with spaces
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.405-3
- BR: perl-generators where available
- Simplify find command using -delete

* Tue Dec  1 2015 Paul Howarth <paul@city-fan.org> - 0.405-1
- Update to 0.405
  - Remove MYMETA.* from MANIFEST file (CPAN RT#108554)

* Fri Jan 30 2015 Paul Howarth <paul@city-fan.org> - 0.404-1
- Update to 0.404
  - Depends.pm: sort deps in save_config() and get_makefile_vars()
    (CPAN RT#101602)
  - Use / to make ::load filename, not File::Spec - perldoc -f require

* Mon Jan  5 2015 Paul Howarth <paul@city-fan.org> - 0.403-1
- Update to 0.403
  - Avoid using Test::More::done_testing() for to support building
    out-of-the-box on older perls
- Drop upstreamed done_testing patch

* Mon Oct 20 2014 Paul Howarth <paul@city-fan.org> - 0.402-1
- Update to 0.402
  - Set Data::Dumper::Sortkeys = 1 in ExtUtils::Depends->save_config()
    (CPAN RT#99260)

* Fri Sep  5 2014 Paul Howarth <paul@city-fan.org> - 0.401-1
- Update to 0.401
  - Add README changes created by 'make dist' from the POD
  - Rename test modules
  - Test old/new schemes with .pm files
  - Move old/new scheme tests from middle of other stuff to end
  - Rename test packages to 8.3 unique
- This release by XAOC → update source URL

* Thu Aug 14 2014 Paul Howarth <paul@city-fan.org> - 0.400-1
- Update to 0.400
  - Depends.pm: use $DLEXT instead of $SO for library filename extensions
  - MANIFEST: remove MYMETA.* files
  - Use DynaLoader::mod2fname if available
  - Added Android support
  - In addition to the package variables $inc, $libs and @typemaps, write an
    'Inline' method to <package>::Install::Files for easier interoperability
    with the Inline module
  - Accompany the 'Inline' method with a 'deps' method in
    <package>::Install::Files in addition to the @deps package variable
  - Make ExtUtils::Depends->load use the 'Inline' and 'deps' methods by
    default, falling back to the package variables if the methods are not
    defined
  - Make the docs recommend the 'Inline' and 'deps' approach for creating
    <package>::Install::Files manually, without ExtUtils::Depends::save_config
- This release by TSCH → update source URL
- BR:/R: perl(DynaLoader)
- Add patch to support building with Test::More < 0.88

* Mon May 19 2014 Paul Howarth <paul@city-fan.org> - 0.308-1
- Update to 0.308
  - Fix win32 test failure in t/02_save_load.t (CPAN RT#95301)

* Tue Apr 29 2014 Paul Howarth <paul@city-fan.org> - 0.307-1
- Update to 0.307
  - $Data::Dumper::Terse set to 1 broke save_config
  - Document API expected by ::load function
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Mon Sep 30 2013 Paul Howarth <paul@city-fan.org> - 0.306-1
- Update to 0.306
  - Fixed typo in RT queue URL (CPAN RT#88960)

* Tue Sep  3 2013 Paul Howarth <paul@city-fan.org> - 0.305-1
- Update to 0.305
  - Makefile.PL: converted to CPAN::Meta::Spec v2
  - Updated license in RPM spec file (CPAN RT#88196)
  - Updated contact info and added git repo info to POD
  - Add comments for find_extra_libs method (CPAN RT#43900)
  - Fixed typo (CPAN RT#86572)
- This release by XAOC -> update source URL

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 0.304-1
- Import from Fedora
- Update to 0.304
  - More robust detection of gcc toolchains on Win32 (CPAN RT#62455)
  - Don't assume dlltool is called 'dlltool' on Win32+gcc - ask Config.pm
    instead (CPAN RT#62455)
- Don't need to remove empty directories from the buildroot

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.303-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.303-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.303-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Steven Pritchard <steve@kspei.com> 0.303-1
- Update to 0.303
- Update Source0 URL

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.302-5
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.302-4
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.302-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.302-2
- Rebuild against perl 5.10.1

* Fri Jul 31 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.302-1
- Auto-update to 0.302 (by cpan-spec-update 0.01)
- Added a new br on perl(Data::Dumper) (version 0)
- Added a new br on perl(File::Spec) (version 0)
- Added a new br on perl(IO::File) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.301-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.301-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 12 2008 Steven Pritchard <steve@kspei.com> 0.301-1
- Update to 0.301

* Thu May 15 2008 Steven Pritchard <steve@kspei.com> 0.300-1
- Update to 0.300
- Clean up to match cpanspec output
- Fix find option order
- Use fixperms macro instead of our own chmod incantation
- Update Source0 URL
- BR Test::More

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.205-6
- Rebuild for new Perl

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.205-5.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Fri Sep  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-5
- Rebuild for FC6

* Wed Feb 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-4
- Rebuild for FC5 (perl 5.8.8)

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-3
- Dist tag

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.205-2
- Rebuilt

* Tue Feb 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.205-1
- Update to 0.205

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.204-0.fdr.1
- Update to 0.204

* Sun Jul 18 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.202-0.fdr.1
- First build
